build:
  image: gitlab-registry.cern.ch/faser/docker/daq:alma9
  variables:
    GIT_SUBMODULE_STRATEGY: recursive
  script:
    - ls
    - pwd
    - mkdir -p build 
    - cd build
    - cmake ../
    - make
  before_script:
    - source setup.sh

check_license:
  image: gitlab-registry.cern.ch/faser/docker/daq:alma9
  script:
    - python3 Scripts/CheckLicense.py -directory . -extensions cpp cxx h hpp py -exclude cxxopts.hpp
  allow_failure: True
